tigase.cluster.repo

## Class ClConDirRepository

- java.lang.Object
- - tigase.db.comp.ConfigRepository<ClusterRepoItem>
  - - tigase.cluster.repo.ClConConfigRepository
    - - tigase.cluster.repo.ClConDirRepository

- All Implemented Interfaces:
    Iterable<ClusterRepoItem>, ClusterRepoConstants, ComponentRepository<ClusterRepoItem>

      public class ClConDirRepository
      extends ClConConfigRepository
      implements ClusterRepoConstants

  Author:
    kobit

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `REPO_FILE_EXTENSION` Field description
    `static String` | `REPO_URI_DB_DEF_VAL` Field description

    - ### Fields inherited from class tigase.cluster.repo.ClConConfigRepository

      `AUTORELOAD_INTERVAL_PROP_KEY, AUTORELOAD_INTERVAL_PROP_VAL`

    - ### Fields inherited from class tigase.db.comp.ConfigRepository

      `items`

    - ### Fields inherited from interface tigase.cluster.repo.ClusterRepoConstants

      `CPU_USAGE_COLUMN, HOSTNAME_COLUMN, LASTUPDATE_COLUMN, MEM_USAGE_COLUMN, PASSWORD_COLUMN, PORT_COLUMN, REPO_URI_PROP_KEY, TABLE_NAME`

    - ### Fields inherited from interface tigase.db.comp.ComponentRepository

      `COMP_REPO_BIND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClConDirRepository()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `getDefaults(Map<String,Object> defs, Map<String,Object> params)` Method description
    `void` | `reload()` Method description
    `void` | `setProperties(Map<String,Object> properties)` Method description
    `void` | `storeItem(ClusterRepoItem item)` Method description

    - ### Methods inherited from class tigase.cluster.repo.ClConConfigRepository

      `getConfigKey, getDefaultPropetyItems, getItemInstance, getPropertyKey, itemChanged, itemLoaded`

    - ### Methods inherited from class tigase.db.comp.ConfigRepository

      `addItem, addRepoChangeListener, allItems, contains, getItem, iterator, removeItem, removeRepoChangeListener, setAutoloadTimer, size, store, toString, validateItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### REPO_FILE_EXTENSION

          public static final String REPO_FILE_EXTENSION

      Field description
      See Also:
        Constant Field Values

    - #### REPO_URI_DB_DEF_VAL

          public static final String REPO_URI_DB_DEF_VAL

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ClConDirRepository

          public ClConDirRepository()

  - ### Method Detail

    - #### getDefaults

          public void getDefaults(Map<String,Object> defs,
                         Map<String,Object> params)

      Method description
      Specified by:
        `getDefaults` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `getDefaults` in class `ClConConfigRepository`
      Parameters:
        `defs` -
        `params` -

    - #### setProperties

          public void setProperties(Map<String,Object> properties)

      Method description
      Specified by:
        `setProperties` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `setProperties` in class `ClConConfigRepository`
      Parameters:
        `properties` -

    - #### storeItem

          public void storeItem(ClusterRepoItem item)

      Method description
      Overrides:
        `storeItem` in class `ClConConfigRepository`
      Parameters:
        `item` -

    - #### reload

          public void reload()

      Method description
      Specified by:
        `reload` in interface `ComponentRepository<ClusterRepoItem>`
      Overrides:
        `reload` in class `ClConConfigRepository`

Copyright © 2014 "Tigase, Inc.". All rights reserved.